# Uses of Class
org.bukkit.util.noise.NoiseGenerator

Packages that use NoiseGenerator
Package
Description
org.bukkit.util.noise
Classes dedicated to facilitating deterministic noise.

## Uses of NoiseGenerator in org.bukkit.util.noise

Subclasses of NoiseGenerator in org.bukkit.util.noise
Modifier and Type
Class
Description
`class`
`PerlinNoiseGenerator`
Generates noise using the "classic" perlin generator
`class`
`SimplexNoiseGenerator`
Generates simplex-based noise.
Fields in org.bukkit.util.noise declared as NoiseGenerator
Modifier and Type
Field
Description
`protected final @NotNull NoiseGenerator[]`
OctaveGenerator.`octaves`
Methods in org.bukkit.util.noise that return NoiseGenerator
Modifier and Type
Method
Description
`@NotNull NoiseGenerator[]`
OctaveGenerator.`getOctaves()`
Gets a clone of the individual octaves used within this generator
Constructors in org.bukkit.util.noise with parameters of type NoiseGenerator
Modifier
Constructor
Description
`protected`
`OctaveGenerator(@NotNull NoiseGenerator[] octaves)`